{% extends "base.html" %}{% load i18n static %}
{% block title %}{% trans "Sign in" %}{% endblock %}
{% block standardcontent %}


    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
      html,
    body {
      height: 100%;
      text-align: center;
    }

    body {
      display: flex;
      align-items: center;
      padding-top: 40px;
      padding-bottom: 40px;
      background-color: #f5f5f5;
    }

    .form-signin {
      width: 100%;
      max-width: 330px;
      padding: 15px;
      margin: auto;
    }

    .form-signin .checkbox {
      font-weight: 400;
    }

    .form-signin .form-floating:focus-within {
      z-index: 2;
    }

    .form-signin input[type="email"] {
      margin-bottom: -1px;
      border-bottom-right-radius: 0;
      border-bottom-left-radius: 0;
    }

    .form-signin input[type="password"] {
      margin-bottom: 10px;
      border-top-left-radius: 0;
      border-top-right-radius: 0;
    }

    .form-signin > form > p {
     text-align: left;
    }

    </style>


<main class="form-signin">
    <form method="post">
        <img class="mb-4" src="{% static 'img/logo.png' %}" alt="logo" style="max-width: 60%;">
        {% csrf_token %}
        <h1>MoveAid</h1>
        <h2 class="mb-4 fw-normal">{{ INFO_SYSTEM_INSTANCE_NAME }}</h2>

        {% if form.non_field_errors %}
            {% for error in form.non_field_errors %}
            <div class="alert alert-danger text-justify">
                {{ error }}
            </div>
            {% endfor %}
        {% endif %}

        <div class="form-floating">
            <input type="text" class="form-control" name="username" id="floatingInput" autocapitalize="none" autocomplete="username" required autofocus placeholder="name@example.com">
            <label for="floatingInput">{% trans "Username" %}</label>
        </div>
        <div class="form-floating">
            <input type="password" class="form-control" name="password" id="floatingPassword" required autocapitalize="none" autocomplete="current-password" placeholder="Password">
            <label for="floatingPassword">{% trans "Password" %}</label>
        </div>

        <!--<div class="checkbox mb-3">
            <label>
                <input type="checkbox" value="remember-me"> Remember me
            </label>
        </div>-->
        <button class="w-100 btn btn-lg btn-primary" type="submit">{% trans "Sign in" %}</button>
        {% if INFO_SYSTEM_OPEN_REGISTRATION %}<p class="mt-3">Not yet a member? <a href="{% url 'signup' %}">Register Here</a></p>{% endif %}
    </form>

    <p class="mt-5 mb-3 text-muted">&copy; 2021 <a href="https://gitlab.com/lugbz/moveaid/server/-/blob/master/AUTHORS">LugBZ et al.</a></p>
</main>


{% endblock %}